﻿
$ErrorActionPreference = 'Stop';

$packageName= 'dotnetcore-sdk'
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = 'https://download.visualstudio.microsoft.com/download/pr/1d45bd0c-5ed7-429e-a3f4-436180550da2/6c814cb573f4ccc8df999d4fb158837a/dotnet-sdk-2.1.515-win-x86.exe'
$checksum   = 'e634579f58983bb06798b353401e79e67be895ee6f7d676cfda5277c647768adfddc2f4b4afb4bca3e00d482aa913135fe927fa69e6358e6276b848eace84e99'
$url64      = 'https://download.visualstudio.microsoft.com/download/pr/d117c700-66e0-4793-91bb-f372a15b3165/250eecb26eede3e29f4f98faccb3094a/dotnet-sdk-2.1.515-win-x64.exe'
$checksum64 = 'b730a893cbd8b18780f9a5d1fa1285763608d84b74a28046f2e4c26f8d85780d91de9a6a722a0a2d45f0e9b7dcbf159fef51bea9edef671547740be7bf07a577'

$packageArgs = @{
  packageName   = $packageName
  unzipLocation = $toolsDir
  fileType      = 'EXE'
  url           = $url
  url64bit      = $url64

  silentArgs    = "/install /quiet /norestart /log `"$env:TEMP\$($packageName)\$($packageName).MsiInstall.log`""
  validExitCodes= @(0, 3010, 1641)

  softwareName  = 'dotnet-core*'
  checksum      = $checksum
  checksumType  = 'SHA512'
  checksum64    = $checksum64
}

Install-ChocolateyPackage @packageArgs
